[arch-commits] CVS update of core/base/gzip (PKGBUILD gzip-fixutimens.patch)

Alexander Baldeck alexander at archlinux.org
Tue Sep 18 15:46:41 UTC 2007


    Date: Tuesday, September 18, 2007 @ 11:46:41
  Author: alexander
    Path: /home/cvs-core/core/base/gzip

   Added: gzip-fixutimens.patch (1.1)
Modified: PKGBUILD (1.19 -> 1.20)

* closes FS#8017 by applying gzip-fixutimens.patch
* bump pkgrel to actual be part of base group


-----------------------+
 PKGBUILD              |   12 ++++++++----
 gzip-fixutimens.patch |   36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 4 deletions(-)


Index: core/base/gzip/PKGBUILD
diff -u core/base/gzip/PKGBUILD:1.19 core/base/gzip/PKGBUILD:1.20
--- core/base/gzip/PKGBUILD:1.19	Tue Aug 21 11:35:03 2007
+++ core/base/gzip/PKGBUILD	Tue Sep 18 11:46:41 2007
@@ -1,19 +1,21 @@
-# $Id: PKGBUILD,v 1.19 2007/08/21 15:35:03 dan Exp $
+# $Id: PKGBUILD,v 1.20 2007/09/18 15:46:41 alexander Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=gzip
 pkgver=1.3.12
-pkgrel=2
+pkgrel=3
 pkgdesc="GNU compression utility"
 arch=(i686 x86_64)
 url="http://www.gzip.org"
 license=('GPL')
 groups=('base')
 depends=('glibc' 'bash')
-source=(ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.gz)
-md5sums=('b5bac2d21840ae077e0217bc5e4845b1')
+source=(ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.gz
+        gzip-fixutimens.patch)
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch -Np1 -i ${startdir}/src/gzip-fixutimens.patch || return 1
+
   ./configure --prefix=/usr
   make || return 1
   mkdir -p $startdir/pkg/bin $startdir/pkg/usr/bin
@@ -24,3 +26,5 @@
   cd $startdir/pkg/bin
   ln -sf $pkgname compress
 }
+md5sums=('b5bac2d21840ae077e0217bc5e4845b1'
+         'cb592761476921018386031d91625153')
Index: core/base/gzip/gzip-fixutimens.patch
diff -u /dev/null core/base/gzip/gzip-fixutimens.patch:1.1
--- /dev/null	Tue Sep 18 11:46:41 2007
+++ core/base/gzip/gzip-fixutimens.patch	Tue Sep 18 11:46:41 2007
@@ -0,0 +1,36 @@
+--- gzip-1.3.12.orig/gzip.c
++++ gzip-1.3.12/gzip.c
+@@ -1637,7 +1642,7 @@
+ 	}
+       }
+ 
+-    if (futimens (ofd, ofname, timespec) != 0)
++    if (gz_futimens (ofd, ofname, timespec) != 0)
+       {
+ 	int e = errno;
+ 	WARN ((stderr, "%s: ", program_name));
+--- gzip-1.3.12.orig/lib/utimens.h
++++ gzip-1.3.12/lib/utimens.h
+@@ -1,3 +1,3 @@
+ #include <time.h>
+-int futimens (int, char const *, struct timespec const [2]);
++int gz_futimens (int, char const *, struct timespec const [2]);
+ int utimens (char const *, struct timespec const [2]);
+--- gzip-1.3.12.orig/lib/utimens.c
++++ gzip-1.3.12/lib/utimens.c
+@@ -75,7 +75,7 @@
+    Return 0 on success, -1 (setting errno) on failure.  */
+ 
+ int
+-futimens (int fd ATTRIBUTE_UNUSED,
++gz_futimens (int fd ATTRIBUTE_UNUSED,
+ 	  char const *file, struct timespec const timespec[2])
+ {
+   /* Some Linux-based NFS clients are buggy, and mishandle time stamps
+@@ -185,5 +185,5 @@
+ int
+ utimens (char const *file, struct timespec const timespec[2])
+ {
+-  return futimens (-1, file, timespec);
++  return gz_futimens (-1, file, timespec);
+ }




More information about the arch-commits mailing list